org.eclipse.jetty.rewrite.handler

## Class RedirectPatternRule

- java.lang.Object
- - org.eclipse.jetty.rewrite.handler.Rule
  - - org.eclipse.jetty.rewrite.handler.PatternRule
    - - org.eclipse.jetty.rewrite.handler.RedirectPatternRule

    public class RedirectPatternRule
    extends PatternRule

Redirects the response whenever the rule finds a match.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.rewrite.handler.Rule

`Rule.ApplyURI`

### Field Summary

### Fields inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

`_pattern`

### Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule

`_handling, _terminating`

### Constructor Summary

Constructors
Constructor and Description
`RedirectPatternRule()`

### Method Summary

Methods
`String` `apply(String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`void` `setLocation(String value)` Sets the redirect location.
`String` `toString()` Returns the redirect location.

### Methods inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

`getPattern, matchAndApply, setPattern`

### Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule

`isHandling, isTerminating, setHandling, setTerminating`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedirectPatternRule

    public RedirectPatternRule()

### Method Detail

#### setLocation

    public void setLocation(String value)

Sets the redirect location.

Parameters:
  `value` - the location to redirect.

#### apply

    public String apply(String target,
               javax.servlet.http.HttpServletRequest request,
               javax.servlet.http.HttpServletResponse response)
                 throws IOException

Description copied from class: `PatternRule`
Apply the rule to the request

Specified by:
  `apply` in class `PatternRule`
Parameters:
  `target` - field to attempt match
  `request` - request object
  `response` - response object
Returns:
  The target (possible updated)
Throws:
  `IOException` - exceptions dealing with operating on request or response objects

#### toString

    public String toString()

Returns the redirect location.

Overrides:
  `toString` in class `PatternRule`